ELFTC_COPYFILE(3)

NAME
elftc_copyfile - convenience function to copy data

LIBRARY
libelftc

SYNOPSIS
#include <libelftc.h>
in
elftc_copyfile(int ifd, int ofd);

DESCRIPTION
The function elftc_copyfile() copies the contents of the file referenced by argument ifd to the file referenced by argument ofd.

The argument ifd should contain a file descriptor opened for reading, with its file offset at the beginning of the file.

The argument ofd should contain a file descriptor opened for writing.

RETURN VALUE

ERRORS
The function elftc_copyfile() may fail with any of the errors returned by fstat(2), malloc(3), mmap(2), munmap(2), read(2) or write(2).

SEE ALSO
fstat(2), malloc(3), mmap(2), munmap(2), read(2), write(2)